List Service Accounts
curl --request GET \
--url https://cloud.cdata.com/api/v1/admin/service-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/v1/admin/service-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/v1/admin/service-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "pipeline-deploy-prod",
"description": "Terraform deployment pipeline for production",
"status": "active",
"client_id": "d4e5f6a7-b8c9-0123-defa-234567890123",
"external_id": null,
"created_at": "2026-06-01T08:00:00Z",
"created_by": "00000000-0000-0000-0000-000000000001"
}
],
"limit": 20,
"next_cursor": null
}Service Accounts
List Service Accounts
List all service accounts in the organization.
GET
/
service-accounts
List Service Accounts
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter by status.
Available options:
active, deactivated Filter to service accounts that hold a specific role (direct assignments only).
Maximum number of results to return per page.
Required range:
x <= 100Pagination cursor from next_cursor in the previous response.
Was this page helpful?